Bug 166666 - nash readlink doesn't necessarily work with links to directories
nash readlink doesn't necessarily work with links to directories
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-24 10:22 EDT by Bill Nottingham
Modified: 2014-03-16 22:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: 5.0.29-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-27 11:50:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2005-08-24 10:22:28 EDT
$ mkdir foo
$ ln -s foo bar
$ echo "readlink ./bar" | /sbin/nash --quiet
/home/notting/tmp/foo
$ echo "readlink bar" | /sbin/nash --quiet
error realpath bar/foo: 2

The second *should* work, AFAIK.
Comment 1 Peter Jones 2006-02-27 11:50:42 EST
"bar" and "./bar" should work now.  Note that "bar/." will still not expand.

Note You need to log in before you can comment on or make changes to this bug.